#include <stdio.h>
#include <windows.h>

int
main(int argc, char *argv[])
{
    INPUT pInput[2];

    if (GetKeyState(VK_NUMLOCK) == 1) {
        pInput[0].type = INPUT_KEYBOARD;
        pInput[0].ki.wVk = VK_NUMLOCK;
        pInput[0].ki.wScan = 0;
        pInput[0].ki.dwFlags = 0;       /* Null for keydown */
        pInput[0].ki.time = 0;
        pInput[0].ki.dwExtraInfo = 0;

        pInput[1].type = INPUT_KEYBOARD;
        pInput[1].ki.wVk = VK_NUMLOCK;
        pInput[1].ki.wScan = 0;
        pInput[1].ki.dwFlags = KEYEVENTF_KEYUP;
        pInput[1].ki.time = 0;
        pInput[1].ki.dwExtraInfo = 0;

        if (SendInput(2, pInput, sizeof(INPUT)) != 2) {
            fprintf(stderr,
                    "Error: SendInput failed. NumLock was not turned off.\n");
            return 1;
        }
    }
    return 0;
}
